Function
resizeVertexMap
Initializes a vertex map.
resizeVertexMap(g, pm [, prop])
resizeVertexMap(index, pm)
Include Headers
seqan/graph_types.h, seqan/index.h
Parameters

g | A Graph. Types: Graph
pm | An External Property Map. Types: External Property Map
prop | An optional array with properties that are to be assigned to the items in the property map. Remarks: For every vertex descriptor there must be an entry in the array.
index | An index with a suffix tree interface. Types: IndexEsa

Return Values
void
Metafunctions

IndexWotd | An index based on a lazy suffix tree (see Giegerich et al., "Efficient implementation of lazy suffix trees").

See Also
resizeEdgeMap
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48